### A free/open-source library for quantitative finance

Public Member Functions | Public Attributes
ContinuousAveragingAsianOption::arguments Class Reference

Extra arguments for single-asset continuous-average Asian option. More...

`#include <ql/instruments/asianoption.hpp>`

Inherits arguments.

List of all members.

## Public Member Functions

void | validate () const

## Public Attributes

Average::Type | averageType

## Detailed Description

Extra arguments for single-asset continuous-average Asian option.